<?php
/**
 * Customizer default options
 *
 * @package Theme_Palace
 * @subpackage TP_Philosophy_Pro
 * @since 1.0
 * @return array An array of default values
 */

function tp_philosophy_pro_get_default_theme_options() {
	$theme_data = wp_get_theme();
	$tp_philosophy_pro_default_options = array(

		/**
		 * Homepage section options 
		 */

		// Slider Options
		'slider_enable'					=> 'static-frontpage',
		'slider_content_type'			=> 'demo',
		'slider_no_of_slides'			=> 3,
		'slide_learn_more_text'			=> esc_html__( 'Get Started', 'tp-philosophy-pro' ),

		'custom_slide_learn_more_text'  => esc_html__( 'Get Started', 'tp-philosophy-pro' ),
		'slide_ad_image'				=> get_template_directory_uri().'/assets/uploads/banner.jpg',
		'custom_slide_link'				=> '#',

		'slider_content_effect'         => 'cubic-bezier(0.250, 0.250, 0.750, 0.750)',
		'enable_slider_controls'        => true,
		'enable_slider_dragable'        => true,
		'slider_pause_on_hover'         => true,
		'enable_slider_pager' 			=> true,
		'enable_slider_content' 		=> true,
		'slider_box_layout' 			=> true,

		// About Options
		'about_enable' 					=> 'static-frontpage',
		'about_content_type' 			=> 'demo',
		'about_custom_title' 			=> esc_html__( 'About', 'tp-philosophy-pro' ),
		'about_subtitle'				=> esc_html__( 'You will love it.', 'tp-philosophy-pro' ),
		'about_custom_description' 		=> esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed condimentum mi sit amet nulla sollicitudin interdum. Suspendisse dapibus sapien a enim egestas, id convallis massa cursus. Aliquam efficitur orci ac turpis semper, in vehicula metus aliquet. Donec rutrum consectetur suscipit. Nulla facilisi. Curabitur vulputate elementum leo nec tempor.

			Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum at dui ut ante fermentum tristique vehicula ultrices ligula.', 'tp-philosophy-pro' ),

		'about_learn_more_text' 		=> esc_html__( 'View More', 'tp-philosophy-pro' ),
		'about_custom_link' 			=> '#',
		'about_custom_image' 			=> get_template_directory_uri().'/assets/uploads/about.jpg',
		'services_background_image'     => get_template_directory_uri().'/assets/uploads/services-bg.png',

		// Services Options
		'services_enable' 					=> 'static-frontpage',
		'services_left_content_type' 			=> 'demo',
		'services_custom_title' 			=> esc_html__( 'Services', 'tp-philosophy-pro' ),
		'services_subtitle'				=> esc_html__( 'Best we offer.', 'tp-philosophy-pro' ),
		'services_custom_description' 		=> esc_html__( 'Sed congue cursus quam quis fermentum. Nullam augue risus, molestie non est non, elementum tristique ex. Fusce vel magna est. Praesent in eleifend nulla, et sagittis leo. Nunc feugiat semper tellus. Cras justo sapien, imperdiet eu fringilla eu, accumsan a sem. Nullam lacinia arcu sed massa auctor, vel efficitur diam sollicitudin.', 'tp-philosophy-pro' ),

		'services_learn_more_text' 		=> esc_html__( 'View Services', 'tp-philosophy-pro' ),
		'services_custom_link' 			=> '#',
		'services_right_content_type'   => 'demo',
		'services_custom_image' 		=>  get_template_directory_uri().'/assets/uploads/services.jpg',

		// Skills Options
		'skills_enable' 				=> 'static-frontpage',
		'skills_content_type' 			=> 'demo',
		'skills_custom_title'       	=> esc_html__( 'Skills', 'tp-philosophy-pro' ),
		'skills_subtitle'           	=> esc_html__( 'Our excellence.', 'tp-philosophy-pro' ),
		'skills_custom_description' 	=> esc_html__( 'Sed congue cursus quam quis fermentum. Nullam augue risus, molestie non est non, elementum tristique ex. Fusce vel magna est. Praesent in eleifend nulla, et sagittis leo. Nunc feugiat semper tellus. Cras justo sapien, imperdiet eu fringilla eu, accumsan a sem. Nunc venenatis felis metus, quis cursus massa gravida vel. Suspendisse potenti. Morbi sollicitudin eu nisl quis venenatis. Donec ultrices posuere quam sit amet tincidunt. Mauris feugiat mattis scelerisque. Suspendisse euismod sapien vitae pharetra dictum.', 'tp-philosophy-pro' ),
		
		'skills_graph_shortcode' 		=> '[TP_PIEBUILDER_BAR values="97, 64, 70, 75, 62" labels="Design, Html/Css, Php coding, Planning, Management" colors="#f7c84a, #49ce45, #64d4f9, #ff5c5c, #745fa4"]',

		// Counter Options 
		'counter_enable'				=> 'static-frontpage',
		'counter_content_type' 			=> 'demo',
		'counter_section_layout' 		=> 'four-columns',
		'counter_background_image' 		=> get_template_directory_uri().'/assets/uploads/counter-bg.jpg',

		// Testimonial Options
		'testimonial_enable' 			=> 'static-frontpage',
		'testimonial_content_type' 		=> 'demo',
		'testimonial_no_of_slides' 		=> 3,
		'testimonial_background_image'  => get_template_directory_uri().'/assets/uploads/testimonial.jpg',

		// Clients Options
		'clients_enable' 				=> 'static-frontpage',
		'clients_content_type' 			=> 'demo',
		'clients_no_of_slides' 			=> 4,
		'clients_custom_title' 			=> esc_html__( 'Clients', 'tp-philosophy-pro' ),
		'clients_custom_subtitle' 		=> esc_html__( 'They trust us.', 'tp-philosophy-pro' ),

		// Blog Options
		'blogs_enable' 					=> 'static-frontpage',
		'blogs_content_type' 			=> 'demo',
		'blogs_title' 					=> esc_html__( 'Blog', 'tp-philosophy-pro' ),
		'blogs_subtitle' 				=> esc_html__( 'Remain updated.', 'tp-philosophy-pro' ),

		// Teams options 
		'teams_enable' 					=> 'static-frontpage',
		'teams_content_type' 			=> 'demo',
		'teams_custom_title' 			=> esc_html__( 'Team','tp-philosophy-pro' ),
		'teams_custom_subtitle' 		=> esc_html__( 'Faces of company name.','tp-philosophy-pro' ),
		'teams_custom_description' 		=> esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et iaculis sapien, ac dictum ligula. Integer non bibendum dui, non bibendum tortor. Vivamus felis erat, vehicula quis commodo et, dignissim in sem. Donec et ligula cursus, tincidunt turpis ut, vulputate felis. Aliquam eu quam dui. Maecenas imperdiet aliquam sem ut varius. Nullam a diam quis ante volutpat tristique non a mauris. In vitae metus in est luctus lacinia.','tp-philosophy-pro' ),
		'teams_no_of_slides' 			=>  6,

		// Works Options 
		'works_enable' 					=> 'static-frontpage',
		'works_content_type' 			=> 'demo',
		'works_custom_title' 			=> esc_html__( 'Work', 'tp-philosophy-pro' ),
		'works_subtitle' 			 	=> esc_html__( 'Flawless output.', 'tp-philosophy-pro' ),
		'works_custom_description' 		=> esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et iaculis sapien, ac dictum ligula. Integer non bibendum dui, non bibendum tortor.', 'tp-philosophy-pro' ),
		'works_custom_quote'			=> sprintf( '<blockquote>&quot; %1$s &quot;</blockquote><a href="#" class="worker-name">%2$s</a>', esc_html__( 'The Business Bio-graphy team refined our brand, and designed a web site that we&rsquo;re proud of.', 'tp-philosophy-pro' ), esc_html__( '-Sandeep Regmi, Themepalace.com', 'tp-philosophy-pro' ) ),
		'works_learn_more_text' 		=> esc_html__( 'view all works', 'tp-philosophy-pro' ),
		'works_custom_link' 		 	=> '#',
		
		// Contact Options 
		'contact_enable' 				=> 'static-frontpage',
		'contact_content_type' 			=> 'demo',
		'contact_custom_title' 			=> esc_html__( 'Contact', 'tp-philosophy-pro' ),
		'contact_subtitle' 				=> esc_html__( 'Let&rsquo;s Talk', 'tp-philosophy-pro' ),

		'contact_address_label' 		=> esc_html__( 'Address:', 'tp-philosophy-pro' ),
		'contact_address' 			 	=> esc_html__( 'Jawlakhel, Kathmandu, Nepal', 'tp-philosophy-pro' ),
		'contact_phone_label' 			=> esc_html__( 'Phone No:', 'tp-philosophy-pro'),
		'contact_phone_number' 			=> esc_html__( '+977-123456789', 'tp-philosophy-pro' ),
		'contact_email_label' 			=> esc_html__( 'Email:', 'tp-philosophy-pro' ),
		'contact_email' 				=> esc_html__( 'info@themepalace.com', 'tp-philosophy-pro' ),
		'contact_background_image' 		=> get_template_directory_uri().'/assets/uploads/contact-bg.jpg',

		'enable_social_links'			=> true,
		'no_of_social_link' 			=> 5,

		/**
		 * Custom template options 
		 */

		// Our teams options
		'enable_team_options'             => true,
		'team_options_content_type'       => 'category',
		'team_options_custom_title'       => esc_html__( 'The faces of', 'tp-philosophy-pro' ),
		'team_options_subtitle'           => esc_html__( 'Company name.', 'tp-philosophy-pro' ),
		'team_options_custom_description' => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et iaculis sapien, ac dictum ligula. Integer non bibendum dui, non bibendum tortor. Vivamus felis erat, vehicula quis commodo et, dignissim in sem. Donec et ligula cursus, tincidunt turpis ut, vulputate felis. Aliquam eu quam dui. Maecenas imperdiet aliquam sem ut varius. Nullam a diam quis ante volutpat tristique non a mauris. In vitae metus in est luctus lacinia.', 'tp-philosophy-pro' ),

		'enable_join_team_section'     => true,
		'join_team_content_type' 	   => 'custom',
		'join_team_custom_title'       => esc_html__( 'join', 'tp-philosophy-pro' ), 
		'join_team_subtitle'           => esc_html__( 'our team', 'tp-philosophy-pro' ), 
		'join_team_custom_description' => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus non quam eget lacus facilisis commodo. Fusce quam purus, ornare nec nunc et, fringilla dignissim risus. Praesent vel luctus ipsum, semper volutpat urna. Fusce efficitur nec tellus nec dapibus. Integer non tortor at arcu blandit rutrum.', 'tp-philosophy-pro' ), 

		// Contact template options
		'contact_template_map_enable' 	=> true,
		'contact_template_map_option' 	=> 'shortcode',

		'enable_contact_template_form'  => true,

		'enable_contact_template_address'  => true,
		'contact_template_address_text' => esc_html__( 'Our address', 'tp-philosophy-pro' ),
		'contact_template_address_value' => esc_html__( 'Jwalakhel,Kathmandu,Nepal', 'tp-philosophy-pro' ),
		'contact_template_email_text' => esc_html__( 'Email address', 'tp-philosophy-pro' ),
		'contact_template_email_value' => esc_html__( 'info@themepalace.com', 'tp-philosophy-pro' ),
		'contact_template_phone_text' => esc_html__( 'Phone Number', 'tp-philosophy-pro' ),
		'contact_template_phone_number' => esc_html__( '+977-123456789', 'tp-philosophy-pro' ),

		// Our story template
		'story_template_services_enable'       => true,
		'story_template_service_section_title' => esc_html__( 'Prime services', 'tp-philosophy-pro' ),
		'story_template_service_section_image' => get_template_directory_uri() .'/assets/uploads/prime-service.jpg',
		'story_template_column_layout'         => '3',
		
		'story_template_mission_enable'        => true,
		'story_template_mission_section_title' => esc_html__( 'Mission', 'tp-philosophy-pro' ),
		'story_template_mission_title' 			=> esc_html__( 'Our', 'tp-philosophy-pro' ).'<span class="sub-title">'. esc_html__( 'Misson.', 'tp-philosophy-pro' ) .'</span>',
		'story_template_mission_description'   => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed condimentum mi sit amet nulla sollicitudin interdum. Suspendisse dapibus sapien a enim egestas, id convallis massa cursus. Aliquam efficitur orci ac turpis semper, in vehicula metus aliquet.', 'tp-philosophy-pro' ),
		'story_template_mission_content_type'  => 'post',
		
		'story_template_quote_enable'          => true,
		'story_template_quote_section_title'   => esc_html__( 'Quote', 'tp-philosophy-pro' ),
		'story_template_quote_title'         => '<h2 class="entry-title">'. esc_html__( 'we are good at', 'tp-philosophy-pro' ) .'</h2><h1 class="sub-title">'. esc_html__( 'what we do', 'tp-philosophy-pro' ) .'</h1>',

		'story_template_quote_text' 		=> '<blockquote>&ldquo; '. esc_html__( 'The Business Bio-graphy team refined our brand, and designed a web site that we&rsquo;re proud of.', 'tp-philosophy-pro' ) .' &rdquo;</blockquote>
              <a href="#" class="worker-name">'. esc_html__( '-Sandeep Regmi, Themepalace.com', 'tp-philosophy-pro' ) .'</a>',
		
		'story_template_team_enable'         => true,
		'story_template_team_section_title'  => esc_html__( 'Our team', 'tp-philosophy-pro' ),
		'story_template_work_title' 		 => '<h2 class="entry-title">'. esc_html__( 'Meet', 'tp-philosophy-pro' ).'</h2>
            <h1 class="sub-title">'. esc_html__( 'Our Team.', 'tp-philosophy-pro' ) .'</h1>',
         'story_template_work_description' 	=> esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et iaculis sapien, ac dictum ligula. Integer non bibendum dui, non bibendum tortor. Vivamus felis erat, vehicula quis commodo et, dignissim in sem. Donec et ligula cursus, tincidunt turpis ut, vulputate felis. Aliquam eu quam dui. Maecenas imperdiet aliquam sem ut varius. Nullam a diam quis ante volutpat tristique non a mauris. In vitae metus in est luctus lacinia.', 'tp-philosophy-pro' ),
		'story_template_team_content_type'   => 'post',
		'story_template_team_view_more_text' => esc_html__( 'Meet the team', 'tp-philosophy-pro' ),
		'story_template_view_teams_link'     => '#',

		// Theme Options
		'archive_layout'				=> 'list',
		'your_latest_posts_title'		=> esc_html__( 'Blogs', 'tp-philosophy-pro' ),
		'header_typography'             => 'default',
		'body_typography' 				=> 'default',
		'enable_heading_box_layout' 	=> true,
		'theme_color'					=> 'blue',
		'loader_enable'         		=> false,
		'loader_icon'         			=> 'fa-spinner',
		'site_layout'         			=> 'wide',
		'sidebar_position'         		=> 'right-sidebar',
		'long_excerpt_length'           => 25,
		'short_excerpt_length'          => 10,
		'read_more_text'		        => esc_html__( 'Read More', 'tp-philosophy-pro' ),
		'breadcrumb_enable'         	=> true,
		'pagination_enable'         	=> true,
		'pagination_type'         		=> 'default',
		'enable_hero_content' 			=> true,
		'hero_content_title' 			=> esc_html__( 'One More Thing.', 'tp-philosophy-pro' ),
		'hero_content_subtitle' 		=> esc_html__( 'We are good at what we do!', 'tp-philosophy-pro' ),
		'hero_content_background_image' => get_template_directory_uri() .'/assets/uploads/footer-bg.jpg',
		'copyright_text'           		=> sprintf( _x( 'Copyright &copy; %1$s %2$s.', '1: Year, 2: Site Title with home URL', 'tp-philosophy-pro' ), '[the-year]', '[site-link]' ) . ' &#124; ' . esc_html( $theme_data->get( 'Name') ) . '&nbsp;' . __( 'by', 'tp-philosophy-pro' ). '&nbsp;<a target="_blank" href="'. esc_url( $theme_data->get( 'AuthorURI' ) ) .'">'. esc_html( ucwords( $theme_data->get( 'Author' ) ) ) .'</a>',
		'scroll_top_visible'        	=> true,
		'reset_options'      			=> false,
		'enable_frontpage_content' 		=> false,
		'front_page_subtitle' 			=> esc_html__( 'You will love it.', 'tp-philosophy-pro' ),
		'join_team_custom_blogquote' 	=> sprintf( '%1$s <a href="mailto:#">%2$s</a> %3$s', esc_html__( 'There are currently no open positions. But you&rsquo;re welcome to', 'tp-philosophy-pro'), esc_html__( 'Email Us', 'tp-philosophy-pro' ), esc_html__( 'and introduce yourself!', 'tp-philosophy-pro' ) ),
		'join_team_custom_image' 		=> get_template_directory_uri() .'/assets/uploads/join.jpg',
		'join_team_custom_link' 		=> '#',
		'disable_primary_menu'			=> false,
		'disable_search'				=> false,
		'make_menu_transparent'			=> false,

	);

	$output = apply_filters( 'tp_philosophy_pro_default_theme_options', $tp_philosophy_pro_default_options );
	// Sort array in ascending order, according to the key:
	if ( ! empty( $output ) ) {
		ksort( $output );
	}

	return $output;
}