<?php 
/**
 * Template part for displaying front page content.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme_Palace
 * @subpackage TP_Philosophy_Pro
 * @since 1.0
 */

 $options            = tp_philosophy_pro_get_theme_options(); // get theme options
 $subtitle           = ! empty( $options['front_page_subtitle'] ) ? $options['front_page_subtitle'] : '';
 $heading_box_layout = ( true == $options['enable_heading_box_layout'] ) ? 'add-gray-border border-center' : '';
?>
    <div class="row">
        <div class="column-wrapper">
            <header class="entry-header text-center <?php echo esc_attr( $heading_box_layout );?>">
                <?php 
                    the_title( '<h2 class="entry-title">', '</h2>' );

                    if ( !empty( $subtitle ) ) {
                        echo '<h3 class="sub-title">'. esc_html( $subtitle ) .'</h3>';
                    }
                ?>
            </header><!--.entry-header-->

            <div class="entry-content">
                <?php 
                    the_content( sprintf(
                        /* translators: %s: Name of current post. */
                        wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'tp-philosophy-pro' ), array( 'span' => array( 'class' => array() ) ) ),
                        the_title( '<span class="screen-reader-text">"', '"</span>', false )
                    ) );

                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'tp-philosophy-pro' ),
                        'after'  => '</div>',
                    ) );
                ?>

                <div class="background-text">
                    <?php the_title( '<h1>', '</h1>' ); ?>
                </div><!-- .background-text -->
            </div><!--.entry-content-->
        </div><!--.column-wrapper-->

        <div class="column-wrapper">
            <?php if ( has_post_thumbnail() ) : ?>
            <div class="featured-image">
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'tp-philosophy-pro-about-thumbnail' ); ?></a>
            </div><!--.featured-image-->
            <?php endif; ?>
        </div><!--.column-wrapper-->
    </div><!-- .row -->